[tool.poetry]
name = "{{ project_name }}"
version = "0.1.0"
description = ""
authors = ["fruktorum.com"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
gunicorn = "^21.2.0"
psycopg2-binary = "^2.9.9"
django = "^5.0.2"
python-decouple = "^3.8"
{% if use_drf %}
djangorestframework =  "^3.14.0"
django-filter = "^23.3"
{% endif %}

[tool.poetry.group.dev.dependencies]
black = "^24.2.0"
isort = "^5.13.2"
flake8 = "^7.0.0"
pre-commit = "^3.6.2"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
